<?php
/*
--------------------------------
- Название файла: Подозрительные пользователи
- Official website: http://shcms.ru
- Данный код защищен авторскими правами
--------------------------------
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$shcmsengine['title'] = 'SHCMS Engine Подозрительные пользователи.';
include_once'../template/head.php';
registrat();
$adminka ->admin();


        $count_doub = mysql_result(mysql_query("SELECT COUNT(*) FROM `users_doub`"),0);
    if($count_doub == 0)
    {
        echo '<div class="posts">Подазрительных пользователей не замечено</div>';
    }
	else {
        echo '<strong style="margin:25%">Подозрительных пользователей: '.$count_doub.'</strong>';
    }
        $user = mysql_query("SELECT * FROM `users_doub`");
		
    while($users = mysql_fetch_array($user))
    {
        $users_list = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `login` = '$users[login]'"));
        echo '<div class="posts">';
        echo '<a href="'.DIR_SHCMS.'/change_view.php?id='.$users_list['id'].'"><strong>'.$users_list['login'].'</strong></a><br/>';
        echo '<strong>ID:</strong> '.$users_list['id'].'';
        echo '<br/><strong>Зарегестрирован:</strong> '.$timedate->times($users['time']);
        echo '<br/><strong>Текст:</strong> '.$users['text'].'';
        echo '<span class="mainforum">
            <a title="Забанить" href="ban.php?id='.$users_list['id'].'">
            <img src="/template/icon/block.png"></a>
			<a title="Редактировать" href="user_edit.php?id='.$users_list['id'].'">
            <img src="/template/icon/edit.png"></a><a title="Удаление" href="?act=delete&id_login='.$users['login'].'">
			<img src="/template/icon/delete.png"></a>';
        echo '</div>';

    }
        switch($act):

    case 'delete':
	
        if($_GET['id_login']){$id_login = $_GET['id_login'];}
            $delete = mysql_query("DELETE FROM `users_doub` WHERE `login` = '$id_login'");
                
				if($delete == true)
                {
                    messag('Пользователь успешно удален из списка подозрительных');
                    header("Refresh: 1; url=?");
                    include_once'../template/foot.php';
                    exit;
                }
				else {
                    errors('Ошибка при удалении');
                    header("Refresh: 1; url=?");
                    include_once'../template/foot.php';
                    exit;
                }
    break;

        endswitch;


include_once'../template/foot.php';
?>